import { InterceptorConfig } from '../InterceptorConfig';
import { registerInterceptor } from '../InterceptorGenerator';
import { InterceptorHandler } from '../InterceptorHandler';
export class ModifierTrimmer extends InterceptorConfig {
  constructor() {
    super('modifierTrimmer');
  }
}
ModifierTrimmer.id = 'modifierTrimmer';
export class ModifierTrimmerHandler extends InterceptorHandler {
  run(_context, _values, _field, value) {
    if (typeof value === 'string' || value instanceof String) {
      return { value: value.trim() };
    }
    return { value };
  }
}
registerInterceptor(ModifierTrimmer.id, (_config) => new ModifierTrimmerHandler());
